Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.message
Class MessageFactory

    java.lang.Object
      org.jboss.messaging.core.message.MessageFactory

public class MessageFactory
extends java.lang.Object

Version:
  `$Revision: 1.11 $` $Id: MessageFactory.java,v 1.11 2006/03/22 10:23:34 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Constructor Summary
`MessageFactory()`

Method Summary
`static CoreMessage` | `createCoreMessage(long messageID)`
`static CoreMessage` | `createCoreMessage(long messageID, boolean reliable, long expiration, long timestamp, byte priority, java.util.Map coreHeaders, java.io.Serializable payload)`
`static CoreMessage` | `createCoreMessage(long messageID, boolean reliable, long expiration, long timestamp, byte priority, java.util.Map coreHeaders, java.io.Serializable payload, int persistentChannelCount)`
`static CoreMessage` | `createCoreMessage(long messageID, boolean reliable, java.io.Serializable payload)`
`static Message` | `createJBossMessage(long messageID, boolean reliable, long expiration, long timestamp, byte priority, java.util.Map coreHeaders, byte[] payloadAsByteArray, int persistentChannelCount, byte type, java.lang.String jmsType, java.lang.String correlationID, byte[] correlationIDBytes, JBossDestination destination, JBossDestination replyTo, java.util.HashMap jmsProperties)`
`static Message` | `createMessage(byte type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageFactory

    public MessageFactory()

Method Detail

### createMessage

    public static Message createMessage(byte type)

### createCoreMessage

    public static CoreMessage createCoreMessage(long messageID)

### createCoreMessage

    public static CoreMessage createCoreMessage(long messageID,
                                                boolean reliable,
                                                java.io.Serializable payload)

### createCoreMessage

    public static CoreMessage createCoreMessage(long messageID,
                                                boolean reliable,
                                                long expiration,
                                                long timestamp,
                                                byte priority,
                                                java.util.Map coreHeaders,
                                                java.io.Serializable payload,
                                                int persistentChannelCount)

### createCoreMessage

    public static CoreMessage createCoreMessage(long messageID,
                                                boolean reliable,
                                                long expiration,
                                                long timestamp,
                                                byte priority,
                                                java.util.Map coreHeaders,
                                                java.io.Serializable payload)

### createJBossMessage

    public static Message createJBossMessage(long messageID,
                                             boolean reliable,
                                             long expiration,
                                             long timestamp,
                                             byte priority,
                                             java.util.Map coreHeaders,
                                             byte[] payloadAsByteArray,
                                             int persistentChannelCount,
                                             byte type,
                                             java.lang.String jmsType,
                                             java.lang.String correlationID,
                                             byte[] correlationIDBytes,
                                             JBossDestination destination,
                                             JBossDestination replyTo,
                                             java.util.HashMap jmsProperties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.